vGremision=""
function guardar_detalle(modulo,formulary){
    let form = document.getElementById(formulary);
    var jSondet=document.getElementsByClassName('general');
	nTam=jSondet.length;
    var formdata = new FormData(form);
    formdata.append("nommodulo",modulo);
	for(var i=0;i<nTam;i++){
		nCampo=jSondet[i].name
		vCampo=document.getElementById(jSondet[i].id).value
		formdata.append(nCampo,vCampo);
	}
    let xhr = new XMLHttpRequest();
    xhr.open("POST", form.action);
    xhr.send(formdata);
    xhr.onload = function (e) {
        response=xhr.responseText
		resp_registro_adi(response)
    }
}


function resp_registro_adi(ResTex){
	console.log(ResTex);
	//resp_filtrar_tabadi(ResTex,"detalle",'50%',"cotizacionakd",'detalle');
	resp_filtrar_tabadi(ResTex,"detalle",'50%',"restcarta",'detalle');
}

function resp_filtrar_tabadi(ResTex,cDiv,nWidth,nMod,accion) {
	vC="";
	var oJsonDatos = JSON.parse(ResTex);
	Detalle="<div class='prueba'><div class='table-title' ><a href='#'>"+"Detalle </a></div><div class='conte_tableph' >"
	DetalleUl="<ul>";
	if(oJsonDatos.Datos!="ERROR"){
	    if(ResTex.length>15){
			tAcc=""
			if(tAcc=="v"){
				Detalle+="<table id='customers' class='table_invertida'>";
			}else{
				Detalle+="<table id='customers'>";
			}
			DetalleUl="";
			console.log(Detalle);
			cad=oJsonDatos[0];
			Detalle+="<tr>";
			Object.keys(cad).forEach((valor)=>{
				nPos=valor.search('_')
				if(nPos>0){
					valor=valor.substring(nPos+1,(valor.length))
					Detalle+="<th>"+valor+"</th>";
					console.log(valor)
				}else{
					if(valor=="nrorem"){
					}else{
						Detalle+="<th>"+valor+"</th>";
					}
					
				}
			})
			Detalle+="<th>Opciones</th>";
			Detalle+="</tr>";
			JsonActividad=ResTex;
			var oJsonDatos = JSON.parse(JsonActividad);
	        var NJsonItem=oJsonDatos.length;
			console.log(NJsonItem);
			
			vEditar=""
			vTipo=""
			sw=0
			for (RowArray=0;RowArray<NJsonItem; RowArray++){
				cad=oJsonDatos[RowArray];	
				console.log(cad);
				Detalle+="<tr>";
				tCampo=0;
				cId="";
				for(d in cad){
					nCp=d
					nCampo=""
					
					if(nCp.substring(0,1)=="W"){
						//llenar cadena de campos o contadores modificables y eliminar la w de primera letra
						nCp=nCp.substring(1,(nCp.length));
						nPos=nCp.search('_')
						if(RowArray==0){
							if(sw==1){
								vEditar=vEditar+","//llenando campos editables
							}
							vEditar=vEditar+nCp.substring(0,nPos)
							
							sw=1
						}
						
					}else{
						nPos=nCp.search('_')
					}
					
					vchk=nCp.search('chk')
					if(nPos>0){
						nCampo=nCp.substring(0,nPos)
						nCp=nCp.substring(nPos+1,(nCp.length));
						
						console.log(nCampo)
					}else{nCampo=nCp}

					//if(nCp=='nriper' || nCp=='Id' ){//|| d.substr(-(d.length-(nPos+1)))=='codigo'
					if(nCp=='Id' ){//|| d.substr(-(d.length-(nPos+1)))=='codigo'
						cId=cad[d]
					}
					if(nCp=="nrorem"){
						vGremision=cad[d]
					}else{
						Detalle+="<td>"+cad[d]+"</td>";
					}
					
					tCampo++;
				}
				DetalleUl=DetalleUl.replace("nnn",tCampo);
				cCod=oJsonDatos[RowArray].Id;
				
				
				if(vEditar.length>0){
					Detalle+='<td><div><a href="javascript:editdetalle(\''+ nMod+ '\',\'' + cId + '\',\'e\',\'' +vEditar+ '\');"><div class="circulo_sup"><span class="icon-save" ></span></div></a>'
				}
				Detalle+='<td><div><a href="javascript:eliminardetalle(\''+ nMod+ '\',\'' + cId + '\',\'' + vGremision + '\',\'g\');"><span class="material-symbols-sharp">delete</span></a>'
				
			
				Detalle+="</div></td>";
				Detalle+="</tr>";
				console.log(Detalle)
			}
			Detalle+="</table>";
		}else{
			alert("sino");
	    	}
	  	
	  
	}
	Detalle+="</div></div>";
	DetalleUl+="</ul>";
	//cDiv="formdetalle"
	cDiv="detpedido"
	Detalle+="<div id='divenviar'>..</div>"
	document.getElementById(cDiv).innerHTML=Detalle;
	//document.getElementById(cDiv).style.width=nWidth;

}
function eliminardetalle(tmod,nId,remision,accion){
	parametros="&nommodulo="+tmod+"&Id="+nId+"&remision="+remision
	funcion="resp_registro_adi"
	ruta="MVC/pdodelete.php"
	send_data(parametros,ruta,funcion)
}